package org.netkernel.module.standard;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.nkf.NKFException;
import org.w3c.dom.*;

public class RootSpace extends StandardSpace
{
	private final boolean mIsPublic;

	 public RootSpace(StandardModule aOwner, boolean aIsPublic, Element aConfig) throws NKFException
     {	super(null, aOwner, aConfig);
        setName(aOwner.getMeta().getName());
        mIsPublic=aIsPublic;
     }
	
	public boolean isPublic()
	{	return mIsPublic;
	}
	
	public void onCommissionSpace(IKernel aKernel) throws Exception
	{	SpaceFactory.buildRootSpace(this,getConfigElement(), aKernel);
		super.onCommissionSpace(aKernel);
	}
	
	public void postCommissionSpace() throws Exception
	{	super.postCommissionSpace();	
	}
}